# pip list

Contents

- pip list
  - Usage
  - Description
  - Options
  - Examples

## Usage

    pip list [options]

## Description

List installed packages, including editables.

Packages are listed in a case-insensitive sorted order.

## Options

`-o````,` `--outdated```

  List outdated packages

`-u````,` `--uptodate```

  List uptodate packages

`-e````,` `--editable```

  List editable projects.

`-l````,` `--local```

  If in a virtualenv that has global access, do not list globally-installed packages.

`--user```

  Only output packages installed in user-site.

`--pre```

  Include pre-release and development versions. By default, pip only finds stable versions.

`-i````,` `--index-url``<url>`

  Base URL of Python Package Index (default https://pypi.python.org/simple).

`--extra-index-url``<url>`

  Extra URLs of package indexes to use in addition to --index-url.

`--no-index```

  Ignore package index (only looking at --find-links URLs instead).

`-f````,` `--find-links``<url>`

  If a url or path to an html file, then parse for links to archives. If a local path or file:// url that's a directory, then look for archives in the directory listing.

`--process-dependency-links```

  Enable the processing of dependency links.

## Examples

1. List installed packages.

>     $ pip list
>     docutils (0.10)
>     Jinja2 (2.7.2)
>     MarkupSafe (0.18)
>     Pygments (1.6)
>     Sphinx (1.2.1)

2. List outdated packages (excluding editables), and the latest version available

>     $ pip list --outdated
>     docutils (Current: 0.10 Latest: 0.11)
>     Sphinx (Current: 1.2.1 Latest: 1.2.2)